<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html
  xmlns="http://www.w3.org/1999/xhtml"
  xmlns:xi="http://www.w3.org/2001/XInclude"
  xmlns:xc="urn:xhtml-compiler"
  xc:news="yes"
  xml:lang="en">
<head>
  <title>Calling All Developers! - News - HTML Purifier</title>
  <xi:include href="common-meta.xml" xpointer="xpointer(/*/node())" />
</head>
<body>

<xi:include href="common-header.xml" xpointer="xpointer(/*/node())" />

<div id="main">
<h1 id="title">Calling All Developers!</h1>

<div id="content">
  <p>
    If you're reading this news entry, you're probably a user of HTML Purifier.
    In fact, it wouldn't be too far fetched to say you're a <em>power</em> user of
    HTML Purifier.  In fact, you probably know the ins-and-outs of the
    <code>HTMLPurifier</code> class, have used HTML Purifier for multiple
    projects, and, doubtless, have some gripes about HTML Purifier.
  </p>
  <p>
    Well, now is the chance to let those latent feature requests, complaints
    of poor documentation, and gotcha's be heard.  We gave you the source; it
    is time for you to use it.
  </p>
  <p>
    Today, we have launched a new forum, the <q>Internals</q> forum. This is
    the place for anyone interested in playing a part in HTML Purifier's
    open source development process; to display prototypes of new features,
    to discuss HTML Purifier's support of the upcoming versions of <abbr>HTML</abbr>,
    to ask for questions regarding internal components, and much more. If you've
    ever modified a portion of HTML Purifier's core code, or created an 
    extension to it, dust it off and
    show it to the world. We've migrated to Git, so you can fork the
    main project, develop your new feature, and hopefully get it integrated
    back into the mainline.
  </p>
  <p>
    If you've never looked at HTML Purifier's source before, now is the time
    to start. <a href="contribute.html" xc:absolute="href">This document on
    contributing</a> will give you inside tips and tricks to getting started
    developing HTML Purifier.
  </p>
  <p>
    Thanks for reading! We look forward to seeing your contributions.
  </p>
</div>
</div>
</body>
</html>